/*
 * Copyright
 *   2008 axYus - www.axyus.com
 *   2008 C.Bosquet - charles.bosquet@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;
import fr.gouv.finances.dgfip.xemelios.web.gwt.client.Displayable;

/**
 * @author CBO
 */
public class StoredSearchDTO implements IsSerializable, Displayable {
    public static final int TYPE_SEARCH = 1;
    public static final int TYPE_EXPORT = 2;
    public static final int TYPE_SAVED = 3;

    private String id;
    private String libelle;
    private int type;
    private String resource;

    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    public StoredSearchDTO() {
    }

    public StoredSearchDTO(String id, String libelle, int type, String resource) {
        setId(id);
        setLibelle(libelle);
        setType(type);
        setResource(resource);
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLibelle() {
        return libelle;
    }

    public void setLibelle(String libelle) {
        this.libelle = libelle;
    }

    public void setType(int type) {
        this.type=type;
    }
    public int getType() {
        return type;
    }

    @Override
    public String toString() {
        return getLibelle();
    }
}
